# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtPublicationState

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.YtPublicationState

All Implemented Interfaces:
  Extension

    public class YtPublicationState

extends AbstractExtension

Object representation of `app:control/yt:state`, which describes the publication state of an entry.

Nested Class Summary
`static class` `YtPublicationState.State` Current state.

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtPublicationState()`
`YtPublicationState(YtPublicationState.State state)`
`YtPublicationState(YtPublicationState.State state, java.lang.String reasonCode, java.lang.String helpUrl, java.lang.String description)`

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`java.lang.String` `getDescription()` Returns, in a human-readable form, the reason why the entry was rejected or why processing the entry failed.
`java.lang.String` `getHelpUrl()` Returns a HTTP url which describes the failure in more details and/or provides a way of solving the problem.
`java.lang.String` `getReasonCode()` Gets a code describing the reason why the entry was rejected or why processing the entry failed.
`YtPublicationState.State` `getState()` Gets the publication state enum value.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setDescription(java.lang.String description)` Sets a human-readable error message.
`void` `setHelpUrl(java.lang.String url)` Sets a url to which users can learn more about the current issue.
`void` `setReasonCode(java.lang.String code)` Sets the code describing the reason why the entry was rejected or why processing the entry failed.
`void` `setState(YtPublicationState.State state)` Sets the publication state enum value.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtPublicationState

    public YtPublicationState()

### YtPublicationState

    public YtPublicationState(YtPublicationState.State state,
                              java.lang.String reasonCode,
                              java.lang.String helpUrl,
                              java.lang.String description)

### YtPublicationState

    public YtPublicationState(YtPublicationState.State state)

Method Detail

### getState

    public YtPublicationState.State getState()

  Gets the publication state enum value.

  Returns:
    publication state

### setState

    public void setState(YtPublicationState.State state)

  Sets the publication state enum value.

  Parameters:
    `state` - publication state

### getReasonCode

    public java.lang.String getReasonCode()

  Gets a code describing the reason why the entry was rejected or why processing the entry failed.

  Returns:
    a code or `null`

### setReasonCode

    public void setReasonCode(java.lang.String code)

  Sets the code describing the reason why the entry was rejected or why processing the entry failed.

  Parameters:
    `code` - a code or `null`

### getDescription

    public java.lang.String getDescription()

  Returns, in a human-readable form, the reason why the entry was rejected or why processing the entry failed. This error message is only meant to help debugging and should not be parsed automatically. The exact message will change with time. Please use `getReasonCode()` for that.

  Returns:
    description human-readable error description or `null`

### setDescription

    public void setDescription(java.lang.String description)

  Sets a human-readable error message.

  Parameters:
    `description` - or `null`

### getHelpUrl

    public java.lang.String getHelpUrl()

  Returns a HTTP url which describes the failure in more details and/or provides a way of solving the problem.

  Returns:
    url a url or `null`

### setHelpUrl

    public void setHelpUrl(java.lang.String url)

  Sets a url to which users can learn more about the current issue.

  Parameters:
    `url` - an HTTP url or `null`

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception